Skip to main content
POST
/
stocks
/
api
/
manage
/
{tokenAddress}
/
freeze
curl -X POST "https://api.trusset.org/stocks/api/manage/0x1234.../freeze" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: trusset_abc123xy_secret..." \
  -d '{
    "account": "0xAbC123dEf456789012345678901234567890AbCd",
    "amount": "500",
    "useRelayer": true
  }'
{
  "success": true,
  "data": {
    "transactionHash": "0xdef456...",
    "tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
    "account": "0xAbC123dEf456789012345678901234567890AbCd",
    "amount": "500"
  },
  "metadata": {
    "requestId": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2025-06-15T12:00:00.000Z",
    "instanceId": "inst_abc123"
  }
}
Freezes a specified amount of tokens held by an account. Frozen tokens remain in the holder’s balance but cannot be transferred until unfrozen. Requires the CONTROLLER role on the token contract.

Path Parameters

tokenAddress
string
required
Address of the stock token contract.

Request Body

account
string
required
Ethereum address of the holder whose tokens will be frozen.
amount
string
required
Number of tokens to freeze. Must be greater than zero.
useRelayer
boolean
default:"false"
When true, the transaction is signed and submitted by the Trusset relayer.

Response Fields

success
boolean
Request status.
data
object
Freeze result including the transaction hash.
curl -X POST "https://api.trusset.org/stocks/api/manage/0x1234.../freeze" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: trusset_abc123xy_secret..." \
  -d '{
    "account": "0xAbC123dEf456789012345678901234567890AbCd",
    "amount": "500",
    "useRelayer": true
  }'
{
  "success": true,
  "data": {
    "transactionHash": "0xdef456...",
    "tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
    "account": "0xAbC123dEf456789012345678901234567890AbCd",
    "amount": "500"
  },
  "metadata": {
    "requestId": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2025-06-15T12:00:00.000Z",
    "instanceId": "inst_abc123"
  }
}